Bug 195562 - Support <object>.contentWindow
Summary: Support <object>.contentWindow
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: DOM (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Chris Dumez
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-03-11 09:35 PDT by Anne van Kesteren
Modified: 2019-03-29 10:23 PDT (History)
13 users (show)

See Also:


Attachments
Patch (10.59 KB, patch)
2019-03-28 14:38 PDT, Chris Dumez
no flags Details | Formatted Diff | Diff
Patch (11.06 KB, patch)
2019-03-28 14:43 PDT, Chris Dumez
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Anne van Kesteren 2019-03-11 09:35:49 PDT
It seems like WebKit doesn't per https://github.com/web-platform-tests/wpt/pull/15769.
Comment 1 Chris Dumez 2019-03-28 14:38:53 PDT
Created attachment 366208 [details]
Patch
Comment 2 Chris Dumez 2019-03-28 14:43:02 PDT
Created attachment 366209 [details]
Patch
Comment 3 WebKit Commit Bot 2019-03-28 19:35:02 PDT
Comment on attachment 366209 [details]
Patch

Clearing flags on attachment: 366209

Committed r243638: <https://trac.webkit.org/changeset/243638>
Comment 4 WebKit Commit Bot 2019-03-28 19:35:04 PDT
All reviewed patches have been landed.  Closing bug.
Comment 5 Radar WebKit Bug Importer 2019-03-28 19:36:29 PDT
<rdar://problem/49406885>
Comment 6 Shawn Roberts 2019-03-29 08:19:09 PDT
After revision https://trac.webkit.org/changeset/243638/webkit the following layout test is now consistently failing:

imported/w3c/web-platform-tests/html/browsers/the-window-object/named-access-on-the-window-object/navigated-named-objects.window.html

Test is failing 100% on dashboard and through local testing. Ran tests again r243637 and they are passing.

Dashboard:

https://webkit-test-results.webkit.org/dashboards/flakiness_dashboard.html#showAllRuns=true&tests=imported%2Fw3c%2Fweb-platform-tests%2Fhtml%2Fbrowsers%2Fthe-window-object%2Fnamed-access-on-the-window-object%2Fnavigated-named-objects.window.html

Diff:

--- /Volumes/Data/slave/mojave-debug-tests-wk2/build/layout-test-results/imported/w3c/web-platform-tests/html/browsers/the-window-object/named-access-on-the-window-object/navigated-named-objects.window-expected.txt
+++ /Volumes/Data/slave/mojave-debug-tests-wk2/build/layout-test-results/imported/w3c/web-platform-tests/html/browsers/the-window-object/named-access-on-the-window-object/navigated-named-objects.window-actual.txt
@@ -2,7 +2,7 @@
 PASS Window's associated Document object is used for finding named objects (<div> via srcdoc <iframe>) 
 PASS Window's associated Document object is used for finding named objects (<object> via srcdoc <iframe>) 
 PASS Window's associated Document object is used for finding named objects (<iframe> via srcdoc <iframe>) 
-FAIL Window's associated Document object is used for finding named objects (<object> with browsing ccontext via srcdoc <iframe)> assert_equals: expected (object) null but got (undefined) undefined
+PASS Window's associated Document object is used for finding named objects (<object> with browsing ccontext via srcdoc <iframe)> 
 FAIL Window's associated Document object is used for finding named objects (<div> via same-origin <iframe>) f is not a function. (In 'f()', 'f' is undefined)
 FAIL Window's associated Document object is used for finding named objects (<object> via same-origin <iframe>) f is not a function. (In 'f()', 'f' is undefined)
 FAIL Window's associated Document object is used for finding named objects (<iframe> via same-origin <iframe>) f is not a function. (In 'f()', 'f' is undefined)
Comment 7 Chris Dumez 2019-03-29 08:40:33 PDT
(In reply to Shawn Roberts from comment #6)
> After revision https://trac.webkit.org/changeset/243638/webkit the following
> layout test is now consistently failing:
> 
> imported/w3c/web-platform-tests/html/browsers/the-window-object/named-access-
> on-the-window-object/navigated-named-objects.window.html
> 
> Test is failing 100% on dashboard and through local testing. Ran tests again
> r243637 and they are passing.
> 
> Dashboard:
> 
> https://webkit-test-results.webkit.org/dashboards/flakiness_dashboard.
> html#showAllRuns=true&tests=imported%2Fw3c%2Fweb-platform-
> tests%2Fhtml%2Fbrowsers%2Fthe-window-object%2Fnamed-access-on-the-window-
> object%2Fnavigated-named-objects.window.html
> 
> Diff:
> 
> ---
> /Volumes/Data/slave/mojave-debug-tests-wk2/build/layout-test-results/
> imported/w3c/web-platform-tests/html/browsers/the-window-object/named-access-
> on-the-window-object/navigated-named-objects.window-expected.txt
> +++
> /Volumes/Data/slave/mojave-debug-tests-wk2/build/layout-test-results/
> imported/w3c/web-platform-tests/html/browsers/the-window-object/named-access-
> on-the-window-object/navigated-named-objects.window-actual.txt
> @@ -2,7 +2,7 @@
>  PASS Window's associated Document object is used for finding named objects
> (<div> via srcdoc <iframe>) 
>  PASS Window's associated Document object is used for finding named objects
> (<object> via srcdoc <iframe>) 
>  PASS Window's associated Document object is used for finding named objects
> (<iframe> via srcdoc <iframe>) 
> -FAIL Window's associated Document object is used for finding named objects
> (<object> with browsing ccontext via srcdoc <iframe)> assert_equals:
> expected (object) null but got (undefined) undefined
> +PASS Window's associated Document object is used for finding named objects
> (<object> with browsing ccontext via srcdoc <iframe)> 
>  FAIL Window's associated Document object is used for finding named objects
> (<div> via same-origin <iframe>) f is not a function. (In 'f()', 'f' is
> undefined)
>  FAIL Window's associated Document object is used for finding named objects
> (<object> via same-origin <iframe>) f is not a function. (In 'f()', 'f' is
> undefined)
>  FAIL Window's associated Document object is used for finding named objects
> (<iframe> via same-origin <iframe>) f is not a function. (In 'f()', 'f' is
> undefined)

Clearly a progression, Ill rebaseline.
Comment 8 Chris Dumez 2019-03-29 10:23:21 PDT
(In reply to Chris Dumez from comment #7)
> (In reply to Shawn Roberts from comment #6)
> > After revision https://trac.webkit.org/changeset/243638/webkit the following
> > layout test is now consistently failing:
> > 
> > imported/w3c/web-platform-tests/html/browsers/the-window-object/named-access-
> > on-the-window-object/navigated-named-objects.window.html
> > 
> > Test is failing 100% on dashboard and through local testing. Ran tests again
> > r243637 and they are passing.
> > 
> > Dashboard:
> > 
> > https://webkit-test-results.webkit.org/dashboards/flakiness_dashboard.
> > html#showAllRuns=true&tests=imported%2Fw3c%2Fweb-platform-
> > tests%2Fhtml%2Fbrowsers%2Fthe-window-object%2Fnamed-access-on-the-window-
> > object%2Fnavigated-named-objects.window.html
> > 
> > Diff:
> > 
> > ---
> > /Volumes/Data/slave/mojave-debug-tests-wk2/build/layout-test-results/
> > imported/w3c/web-platform-tests/html/browsers/the-window-object/named-access-
> > on-the-window-object/navigated-named-objects.window-expected.txt
> > +++
> > /Volumes/Data/slave/mojave-debug-tests-wk2/build/layout-test-results/
> > imported/w3c/web-platform-tests/html/browsers/the-window-object/named-access-
> > on-the-window-object/navigated-named-objects.window-actual.txt
> > @@ -2,7 +2,7 @@
> >  PASS Window's associated Document object is used for finding named objects
> > (<div> via srcdoc <iframe>) 
> >  PASS Window's associated Document object is used for finding named objects
> > (<object> via srcdoc <iframe>) 
> >  PASS Window's associated Document object is used for finding named objects
> > (<iframe> via srcdoc <iframe>) 
> > -FAIL Window's associated Document object is used for finding named objects
> > (<object> with browsing ccontext via srcdoc <iframe)> assert_equals:
> > expected (object) null but got (undefined) undefined
> > +PASS Window's associated Document object is used for finding named objects
> > (<object> with browsing ccontext via srcdoc <iframe)> 
> >  FAIL Window's associated Document object is used for finding named objects
> > (<div> via same-origin <iframe>) f is not a function. (In 'f()', 'f' is
> > undefined)
> >  FAIL Window's associated Document object is used for finding named objects
> > (<object> via same-origin <iframe>) f is not a function. (In 'f()', 'f' is
> > undefined)
> >  FAIL Window's associated Document object is used for finding named objects
> > (<iframe> via same-origin <iframe>) f is not a function. (In 'f()', 'f' is
> > undefined)
> 
> Clearly a progression, Ill rebaseline.

https://trac.webkit.org/r243646